ACH Transfer
Create an ACH transfer
Creates an ACH transfer between an account and a counterparty.
Body Parameters
account_number_id
stringRequiredID of the account number from which the transfer is sent. If no account_number_id is specified, the default account number on a provided bank_account_id is used. account_number_id or bank_account_id is required.
allow_overdraft
booleanOptionalAllow the account to go negative for the transfer. The bank account needs to have is_overdraftable enabled with an overdraft reserve account linked to it.
amount
numberOptionalAmount (in cents) of the funds that will be transferred between originator and counterparty accounts. e.g. $1.75 would be represented by 175.
bank_account_id
stringRequiredID of the bank account from which the transfer is sent. If no account_number_id is specified, the default account number on the bank_account_id is used. account_number_id or bank_account_id is required.
company_discretionary_data
stringOptionalThis optional field allows you to include codes (one or more), of significance only to you, to enable specialized handling of the transfer. There is no standardized interpretation for the value of the field. Maximum length: 20 characters.
company_entry_description
stringOptionalYou can use this optional field to provide the Receiver with a description of the purpose of the transfer. Default value: PAYMENT. Maximum length: 10 characters.
company_name
stringOptionalThis optional field identifies the source of the transfer and is used for descriptive purposes for the Receiver. Default value: the root entity name of your platform, or "COLUMN NA" if no root entity exists. Maximum length: 16 characters.
counterparty
objectOptionalCounterparty object to create a counterparty for the receiver of the transfer at transfer creation. Either counterparty or counterparty_id is required.
account_number
stringRequiredThe account number for the bank account.
account_type
stringRequiredThe type of the account number. Can be checking or savings.
address
objectRequiredAddresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the Fedwire character validation.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
description
stringRequiredDescription of the counterparty visible only in your platform. Maximum length: 127 characters.
The email address of the beneficiary.
legal_id
stringRequiredThe legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 127 characters.
legal_type
stringRequiredThe legal entity type of the beneficiary. Can be business, non_profit, individual, or sole_proprietor. This field is recommended for international wire transfers, and required in some countries.
local_account_number
stringRequiredThe local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_country_code
stringRequiredThe ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
local_bank_name
stringRequiredName of the beneficiary's local bank.
name
stringRequiredThe counterparty name who owns the bank account. There is a 127 character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
phone
stringRequiredThe phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 31 characters.
routing_number
stringRequiredThe routing number of the bank.
routing_number_type
stringRequiredThe type of the routing number. Can be aba, bic, or other.
wire
objectRequiredWire-specific details for this counterparty, including beneficiary information and local bank details.
beneficiary_address
objectRequiredThe address of the wire beneficiary.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
beneficiary_email
stringRequiredThe email address of the wire beneficiary.
beneficiary_legal_id
stringRequiredThe legal identification number of the wire beneficiary (e.g. EIN or SSN).
beneficiary_name
stringRequiredThe name of the wire beneficiary.
beneficiary_phone
stringRequiredThe phone number of the wire beneficiary.
beneficiary_type
stringRequiredThe type of the wire beneficiary. Possible values: individual, business
local_account_number
stringRequiredThe local account number at the beneficiary's bank (used for international counterparties).
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (used for international counterparties).
wire_drawdown_allowed
booleanRequiredWhitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If false, all inbound drawdown requests from this counterparty will require explicit approval.
counterparty_id
stringRequiredID of the counterparty that will receive the transfer. Either counterparty or counterparty_id is required.
currency_code
stringRequiredThe three-letter currency code defined in ISO 4217. e.g. USD
description
stringOptionalDescription of the transfer visible only in your platform. Maximum length: 255 characters.
effective_date
stringOptionalDate (format: YYYY-MM-DD ) on which the transfer will be effective
entry_class_code
integerOptionalStandard Entry Class code of the transfer. Valid values: CCD, CTX, CIE, PPD (default), TEL, WEB
intermediate_financial_institutions
array of objectsOptionalList of intermediary financial institutions involved in an IAT (International ACH Transaction) transfer.
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code of the institution
identifier
stringOptionalIdentifier of the intermediary financial institution (e.g., routing number or BIC)
identifier_type
stringOptionalType of identifier. Possible values: aba, bic, iban, other
name
stringOptionalName of the intermediary financial institution
payment_related_info
stringOptionalProvides an additional 80 characters to give details on the ACH transaction for outgoing transfers. This information will be surfaced to the RDFI.
receiver_id
stringOptionalThis field contains the accounting reference number by which the Receiver is known to the Originator. It is included for further identification and for descriptive purposes. Maximum length: 15 characters.
receiver_name
stringOptionalThe name of the receiver, usually the name on the bank account of the Receiver. If omitted, counterparty.name will be automatically used. Default value: beneficiary name of the counterparty. Maximum length: 22 characters for all entry class codes except CIE it is 15 characters.
same_day
booleanRequiredSpecify if the transfer is a same-day ACH transfer. If it is set as true, it takes precedence over effective_date and overrides it.
transaction_type_code
stringOptionalThis is a required code on IAT transfers used to identify reason for payment. Possible values: ANN, BUS, DEP, LOA, MIS, MOR, PEN, REM, RLS, SAL, TAX
type
integerOptionalACH transfer type: CREDIT or DEBIT. Learn more.
ultimate_beneficiary_counterparty
objectOptionalCounterparty object to create an ultimate beneficiary counterparty at the time of transfer creation. This is only required on outgoing IAT debits. Either ultimate_beneficiary_counterparty or ultimate_beneficiary_counterparty_id is required.
account_number
stringRequiredThe account number for the bank account.
account_type
stringRequiredThe type of the account number. Can be checking or savings.
address
objectRequiredAddresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the Fedwire character validation.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
description
stringRequiredDescription of the counterparty visible only in your platform. Maximum length: 127 characters.
The email address of the beneficiary.
legal_id
stringRequiredThe legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 127 characters.
legal_type
stringRequiredThe legal entity type of the beneficiary. Can be business, non_profit, individual, or sole_proprietor. This field is recommended for international wire transfers, and required in some countries.
local_account_number
stringRequiredThe local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_country_code
stringRequiredThe ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
local_bank_name
stringRequiredName of the beneficiary's local bank.
name
stringRequiredThe counterparty name who owns the bank account. There is a 127 character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
phone
stringRequiredThe phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 31 characters.
routing_number
stringRequiredThe routing number of the bank.
routing_number_type
stringRequiredThe type of the routing number. Can be aba, bic, or other.
wire
objectRequiredWire-specific details for this counterparty, including beneficiary information and local bank details.
beneficiary_address
objectRequiredThe address of the wire beneficiary.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
beneficiary_email
stringRequiredThe email address of the wire beneficiary.
beneficiary_legal_id
stringRequiredThe legal identification number of the wire beneficiary (e.g. EIN or SSN).
beneficiary_name
stringRequiredThe name of the wire beneficiary.
beneficiary_phone
stringRequiredThe phone number of the wire beneficiary.
beneficiary_type
stringRequiredThe type of the wire beneficiary. Possible values: individual, business
local_account_number
stringRequiredThe local account number at the beneficiary's bank (used for international counterparties).
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (used for international counterparties).
wire_drawdown_allowed
booleanRequiredWhitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If false, all inbound drawdown requests from this counterparty will require explicit approval.
ultimate_beneficiary_counterparty_id
stringRequiredID of the ultimate beneficiary counterparty that will receive the transfer. This is only required on outgoing IAT debits. Either ultimate_beneficiary_counterparty or ultimate_beneficiary_counterparty_id is required.
ultimate_originator_counterparty
objectOptionalCounterparty object to create an ultimate originator counterparty at the time of transfer creation. This is only required on outgoing IAT credits. Either ultimate_originator_counterparty or ultimate_originator_counterparty_id is required.
account_number
stringRequiredThe account number for the bank account.
account_type
stringRequiredThe type of the account number. Can be checking or savings.
address
objectRequiredAddresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the Fedwire character validation.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
description
stringRequiredDescription of the counterparty visible only in your platform. Maximum length: 127 characters.
The email address of the beneficiary.
legal_id
stringRequiredThe legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 127 characters.
legal_type
stringRequiredThe legal entity type of the beneficiary. Can be business, non_profit, individual, or sole_proprietor. This field is recommended for international wire transfers, and required in some countries.
local_account_number
stringRequiredThe local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
local_bank_country_code
stringRequiredThe ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
local_bank_name
stringRequiredName of the beneficiary's local bank.
name
stringRequiredThe counterparty name who owns the bank account. There is a 127 character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
phone
stringRequiredThe phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: 31 characters.
routing_number
stringRequiredThe routing number of the bank.
routing_number_type
stringRequiredThe type of the routing number. Can be aba, bic, or other.
wire
objectRequiredWire-specific details for this counterparty, including beneficiary information and local bank details.
beneficiary_address
objectRequiredThe address of the wire beneficiary.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
beneficiary_email
stringRequiredThe email address of the wire beneficiary.
beneficiary_legal_id
stringRequiredThe legal identification number of the wire beneficiary (e.g. EIN or SSN).
beneficiary_name
stringRequiredThe name of the wire beneficiary.
beneficiary_phone
stringRequiredThe phone number of the wire beneficiary.
beneficiary_type
stringRequiredThe type of the wire beneficiary. Possible values: individual, business
local_account_number
stringRequiredThe local account number at the beneficiary's bank (used for international counterparties).
local_bank_code
stringRequiredThe local bank code of the beneficiary's bank (used for international counterparties).
wire_drawdown_allowed
booleanRequiredWhitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If false, all inbound drawdown requests from this counterparty will require explicit approval.
ultimate_originator_counterparty_id
stringRequiredID of the ultimate originating counterparty that will sent the transfer. This is only required on outgoing IAT credits. Either ultimate_originator_counterparty or ultimate_originator_counterparty_id is required.